cURL
curl --request GET \
--url https://public-api.kiwify.com/v1/scheduled-installments \
--header 'Authorization: Bearer <token>' \
--header 'x-kiwify-account-id: <api-key>'import requests
url = "https://public-api.kiwify.com/v1/scheduled-installments"
headers = {
"x-kiwify-account-id": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-kiwify-account-id': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://public-api.kiwify.com/v1/scheduled-installments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"count": 1,
"page_number": 1,
"page_size": 10
},
"data": [
{
"id": "b8f0c2b4-2f1e-4a2c-9d3a-1f2e3d4c5b6a",
"created_at": "2026-01-10T13:00:00.000Z",
"status": "active",
"payment_method": "credit_card",
"installment_quantity": 12,
"installments": {
"paid": 3,
"total": 12
},
"next_charge_date": "2026-04-10",
"customer_access": {
"has_access": true
},
"product": {
"id": "c05a1348-059d-43d5-9856-06958f50db8a",
"name": "Meu Produto"
},
"customer": {
"name": "cliente 1",
"email": "cliente1@mail.com"
}
}
]
}Parcelado
Listar planos do Parcelado
Obtenha uma lista dos planos do Parcelado Kiwify da loja. O período máximo entre o created_start e o created_end é de 90 dias.
GET
/
scheduled-installments
cURL
Autorizações
The access token received from the authorization server in the OAuth 2.0 flow.
Parâmetros de consulta
Quantidade de itens por página (máximo 100).
Número da página.
Data inicial (YYYY-MM-DD), fuso America/Sao_Paulo. Exige created_end.
Data final (YYYY-MM-DD), fuso America/Sao_Paulo. Exige created_start.
Filtra por produto.
Filtra por oferta.
Filtra por método de pagamento.
Opções disponíveis:
pix, boleto, credit_card Filtra por status do plano.
Opções disponíveis:
active, overdue, settled, paused, cancelled Filtra por nome ou e-mail do cliente.
